Page MenuHomeFreeBSD

make only vital packages vital, not their sub-packages
ClosedPublic

Authored by me_igalic.co on Mar 11 2021, 8:33 PM.

Details

Summary

make "vital" a replaceable, which defaults to "false" and only set it for
the main clib, utilities and runtime packages, not their sub-packages

PR: 254174

Test Plan

i have not tested this yet.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 37782
Build 34671: arc lint + arc unit

Event Timeline

I don't think that the jail package should be vital.
Otherwise that looks good.

release/packages/generate-ucl.sh
40

clibs should be vital too.

release/packages/generate-ucl.sh
66

well, this is wrong

69

and why are jails vital?

addressed in latest update

me_igalic.co retitled this revision from make jail, runtimes & utilities sub-packages non-vital to make only vital packages vital, not their sub-packages.Mar 12 2021, 11:59 AM
me_igalic.co edited the summary of this revision. (Show Details)
me_igalic.co edited the test plan for this revision. (Show Details)

Looks ok,
Can you rebase your patch against latest main ?
Thanks.

This revision was not accepted when it landed; it landed in state Needs Review.Mar 28 2021, 10:19 AM
This revision was automatically updated to reflect the committed changes.

I'm unsure which commit did it, but at a point near this commit the time taken by release builds drastically decreased. Before this close to 20 hours for an aarch64 cross-build, just over 6 after. Even though I can leave my build machine running, the decrease in latency is very nice. Thank you.